// Copyright 2001, 2002, 2003 Macromedia, Inc. All rights reserved.
/* loc_strings.js
*
* strings.js and loc_strings.js contain arrays for populating select lists 
* in tag dialogs. Both files use the naming convention arrayNameCap for the
* option labels (i.e., text that will be shown to the user) and arrayNameVal
* for the option values(i.e., the code that will be inserted into the document).
* 
* for obvious reasons, loc_strings.js mainly contains the Cap arrays, and
* strings.js mainly contains the Val arrays. only loc_strings.js should be
* localized.  
*
* note: where the labels should not be localized, select lists are intialized
* using the Val array for both the labels and the values.
* 
*/

//--------------- LOCALIZEABLE GLOBALS---------------

var theLookAndFeelCap = new Array("motif","windows","metal");
var theSubmissionMethodsCap = new Array("POST", "GET"); 
var theLoginStorageCap = new Array("Cookie","Session");
var theVericalAlignmentsCap = new Array("ABSBOTTOM", "ABSMIDDLE", "BASELINE","BOTTOM", "LEFT","MIDDLE", "RIGHT","TEXTTOP","TOP"); 
var theAlignmentsCatchCap = new Array("Application", "Database", "Template","Object", "Synchronization","MissingInclude", "Expression","Lock","Any");
var theAlignmentsColCap = new Array("left", "right", "center"); 
var theTypesContentCap = new Array("text/html", "text/plain", "application/msword", "application/msexcel", 
               "application/poscript", "application/x-zip-compressed", "application/pdf", 
               "application/rtf", "video/x-msvideo", "video/quicktime", "video/x-mpeg2", "audio/x-pn/realaudio", 
               "audio/x-mpeg", "audio/x-waw", "audio/x-aiff", "audio/basic", "image/tiff", 
               "image/jpeg", "image/gif", "image/x-png", "image/x-photo-cd", "image/x-MS-bmp", 
               "mage/x-rgb", "image/x-portable-pixmap", "image/x-portable-greymap", "image/x-portablebitmap"); 
               
var theExpiresCap = new Array("NOW", "NEVER");        
var theLanCollectionCap = new Array("English", "German", "Finnish", "French", "Danish", "Dutch", "Italian", "Norwegian", "Portuguese", "Spanish", "Swedish"); 
var theSelCollectionCap = new Array("List", "Create", "Delete",  "Map", "Optimize", "Repair"); 
var theSelDirectoryCap = new Array("List","Create","Delete","Rename"); 
var theSelFileCap = new Array("Upload", "Copy", "Move", "Rename", "Delete", "Append", "Write", "Read", "ReadBinary"); 
var theFileNameConflictCap = new Array("Error", "Skip", "Overwrite", "Makeunique"); 
var theSelectModeCap = new Array("BROWSE","COLUMN","EDIT","ROW","SINGLE"); 
var theGridDataAlignCap = new Array("LEFT","CENTER","RIGHT"); 
var theGridColTypeCap = new Array("IMAGE", "NUMERIC", "STRING_NOCASE","BOOLEAN"); 
var theSelHeaderCap = new Array("Header", "Status"); 
var theSelInvokeCap = new Array("Component","Web Service"); 
var theHTTPMethodCap = new Array("GET","POST","HEAD","PUT","DELETE","OPTIONS","TRACE"); 
var theHTTPPARAMTypeCap = new Array("FORMFIELD", "URL", "COOKIE", "FILE", "CGI", "HEADER", "BODY"); 
var theTransactionActionCap = new Array("BEGIN", "COMMIT", "ROLLBACK"); 
var theObjectActionCap = new Array("Create","Connect"); 
var theObjectCOMContextCap = new Array("Inproc","Local","Remote"); 
var theObjectCORBAContextCap = new Array("IOR","NameService");
var theSelObjectCap = new Array("Component","ComDCom", "Corba", "Java"); 
var theSearchTypeCap = new Array("Simple", "Explicit"); 
var theServletparamTypeCap = new Array("Bool", "Date", "Double", "Int", "String"); 

var theRegistryGetSetTypeCap = new Array("String","DWord","Key");
var theRegistryGetAllTypeCap = new Array("String","Any","DWord","Key");

var theParamTypeCap = new Array("any","array","boolean","binary","date","numeric","query","string","struct","UUID","variableName"); 
var theLockTypeCap = new Array("EXCLUSIVE","READONLY"); 
var theLockScopeCap = new Array("SESSION","APPLICATION","SERVER"); 
var theProcparamTypeCap = new Array("In", "Out", "InOut"); 
var theSelMailparamCap = new Array("Header","File");                                          
var theIndexTypeCap = new Array("File", "Refresh", "Path", "Custom"); 
var theSelIndexCap = new Array("Update", "Refresh", "Delete", "Purge"); 
var theSelInputCap = new Array("Text", "Radio", "Checkbox", "Password"); 
var theInputValidateCap = new Array("date","eurodate","time","float","integer","telephone","zipcode","creditcard","social_security_number","regular_expression (CF5.0 required)"); 
var theMailTypeCap = new Array("Plain Text","HTML"); 
var theMailPartTypeCap = new Array("HTML", "Plain", "Text");
var theCharSetCap = new Array("big5","euc-cn","euc-jp","euc-kr","hz-gb-2312","iso-2022-jp","iso-2022-kr","iso-8859-1","iso-8859-2","iso-8859-3","iso-8859-4","iso-8859-5","iso-8859-6","iso-8859-7","iso-8859-8","iso-8859-9","shift_jis","us-ascii","utf-16","utf-8","windows-1252"); 
var theQueryDBTypeCap = new Array("Dynamic","Query","ODBC","OLEDB","Oracle73","Oracle80","Sybase11","DB2","Informix73"); 
var theSelCacheCap = new Array("Cache", "Flush", "Clientcache", "Optimal"); 
var theErrorTypesCap = new Array("exception", "monitor", "request", "validation");
var theScopeCfldapCap = new Array("ONELEVEL","BASE","SUBTREE"); 
var theModifyTypeCfldapCap = new Array("ADD","DELETE","REPLACE"); 
var theSelCfscheduleCap = new Array("Update","Delete","Run"); 
var theLogLogCap = new Array("Application","Scheduler"); 
var theTypeLogCap = new Array("Information", "Warning", "Error", "Fatal Information"); 
var theSelGraphCap = new Array("bar","line","pie");
var theFileFormatGraphCap = new Array("Flash","jpg","png"); 
var theShowValueLabelGraphCap = new Array("Yes","No","Rollover"); 
var theValueLabelFontGraphCap = new Array("Arial","Courier","Times"); 
var theItemLabelFontGraphCap = new Array("Arial","Courier","Times"); 
var theTitleFontGraphCap = new Array("Arial","Courier","Times"); 
var theShowLegendGraphCap = new Array("above","below","left","right","none"); 
var theValueLocationPieCap = new Array("inside","outside");
var theItemLabelOrientationGraphCap = new Array("horizontal","vertical"); 
var theShowLegendGraphCap = new Array("above", "below", "left", "right", "none"); 
var theLegendFontGraphCap = new Array("Arial","Courier","Times"); 
var theGetAsBinaryCap = new Array("No","Yes","Auto");
var theReportTypeCap = new Array("Standard","Netscape","Microsoft");

// CFC strings to localize 
var theTypesCap  = new Array("any","array","binary","boolean","date","numeric","query","string","struct","UUID","variableName");
var theAccessCap = new Array("private","package","public","remote"); 
var theTraceTypeCap = new Array("information","warning","error","fatal information"); 
var theObjectcacheActionCap = new Array("clear"); 
var theChartSeriesTypeCap = new Array("area","bar","cone","curve","cylinder","line","pie","pyramid","scatter","step","sphere"); 
var theChartSeriesPaintStyleCap = new Array("plain","raise","shade","light"); 

var theChartFormatCap = new Array("flash","jpg","png"); 
var theChartSeriesplacementCap = new Array("default","cluster","stacked","percent"); 
var theChartLabelformatCap = new Array("number","currency","percent","date"); 
var theChartPieSliceStyleCap = new Array("solid","sliced"); 

//--------------- END LOCALIZEABLE   ---------------
